﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MontoyaTech.MySqlPlus
{
    /// <summary>
    /// The outline of a MySqlRow attribute that is used to specify
    /// information about a MySqlRow.
    /// </summary>
    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Struct, AllowMultiple = false, Inherited = true)]
    public class MySqlRow : Attribute
    {
        /// <summary>
        /// The name of the table.
        /// </summary>
        public string Name;

        /// <summary>
        /// Creates a new default MySqlRow.
        /// </summary>
        public MySqlRow() { }

        /// <summary>
        /// Creates a new MySqlRow with a name.
        /// </summary>
        /// <param name="name"></param>
        public MySqlRow(string name)
        {
            this.Name = name;
        }
    }
}
